Introducing EchoLink

EchoLink is software which allows Amateur Radio stations to communicate with one another over the Internet, using voice-over-IP (VoIP) technology. The program enables worldwide connections to be made between stations, from computer to station, or from computer to computer.

The sections that follow introduce the basic capabilities of EchoLink and outline the system requirements.

Please select from the choices below:

  • First-Time Setup
  • Basic Operation
  • Interfacing
  • Configuration


Initial Setup

The first time you run EchoLink after installing it, the Setup Wizard will appear to step you through the basic setup. The Setup Wizard gathers enough information about your system to get you started using EchoLink. Each screen of the Setup Wizard is described in detail below.

Mode

The first choice you will need to make is whether you want to run EchoLink in User mode or Sysop mode.

User Mode

Choose User mode if you expect to use your PC to connect to other EchoLink stations over the Internet, using your PC's microphone and speaker to communicate. This option is appropriate if you do not expect to connect radio equipment to your PC to operate a repeater or link node.

Sysop Mode

Choose Sysop mode if you have connected (or intend to connect) a transceiver to your PC, in order to make your rig accessible to other EchoLink users connecting over the Internet. This mode generally requires a special hardware interface between your PC and your transceiver. For more information, see Interfacing .

For more information about each mode, see Modes.

Customize

You will be asked what type of Internet connection you plan to use. Certain EchoLink settings will be adjusted depending on whether you are using a "slow" Internet connection (a dial-up Internet service, for example), or a "fast" one. Choose the option which best describes the type of connection you have.

Interface

If you selected Sysop mode, you'll be asked to indicate which type of interface board you are using, and which COM port it is connected to. The list of COM ports shows COM1 through COM8, although not all 8 ports may be installed on your machine. Be sure to select the correct port, and verify that the port is not already in use by another application.

For more information about the types of interfaces EchoLink supports, see Interfacing.

Import

If you have previously used iLINK on the same computer, the Setup Wizard offers you the option of setting up EchoLink the same way by "importing" your iLINK settings. Unless you have a specific reason to begin with different settings, choose the "Import these settings" option. You can always make changes later.

Settings

If you have not previously used iLINK, or chose not to import the original settings, you'll be asked to enter some information about your station.

Callsign: Set the callsign exactly as you wish to be registered with EchoLink. If you have already registered, use the same callsign you used previously. The callsign must be at least 3 characters long and may not contain spaces or punctuation, except as part of an -L or -R suffix.

If you are planning to run in Sysop mode, put an -L or -R at the end of your call to indicate a "repeater" or "link", respectively (for example, K1RFD-L). Generally speaking, -L denotes a simplex link, whereas -R indicates that the link is tuned to the frequency pair of a local repeater.

If you are expecting to run in User mode, do not use a suffix after your callsign.

Password: If you had used EchoLink previously, type your original password here. Otherwise, select a password you can easily remember, and it will be assigned to you as you register.

Name: Enter your name here. This name will appear on the other station's screen when you establish a contact.

Location: Enter the location of your station, or a description of its function. This will appear in the list of available users. Examples: "Ridgefield, CT", or "Link to W2ABC/R, NYC".

Email Addr: Enter your e-mail address (optional). This information will be sent when a station you contact requests it, or when EchoLink Support needs to contact you.

Region

You will be asked to indicate in which general region of the world you are located. This information is used to select the nearest set of "addressing servers" for EchoLink to use. All servers carry the same set of information, so this choice is not particularly critical, but may yield slightly faster refreshes of the Station List.


Basic Operation

This section describes how to use the basic functions of EchoLink. As you read this section, you may find it useful to refer to the section EchoLink Screen, which shows the layout of the EchoLink screen and the names of each of its parts.

Callsign Validation

If you have never used EchoLink before, the callsign you entered will need to be validated by the system before you will be able to access it. This process may take several minutes or several hours, since each call is individually validated by hand. During this time, the Station List area of the screen will be blank, or may display a message indicating that your callsign is being validated. Once validation is complete, you will see the list of stations appear in the Station List area, and you can proceed to use EchoLink.

For more information about guidelines for callsign validation, see the Support section of the EchoLink Web site.

Connecting to a Station

To connect to another station, find the station's callsign in the Station List. Use the tabs at the bottom to select either Index View or Explorer View, depending on your preference. Once you've located the station you're looking for, double-click on the station's callsign to connect to it. After a few seconds, you should see the station's callsign and name appear near the bottom of the screen, and you should hear the "connected" signal. You are now in direct contact with the other station and you can begin conversing.

If, after about 30 seconds, you see the message "Cannot connect" instead of "Connected", it means that the attempt to connect to the other station failed. This can happen for several reasons. The other station may have already established a contact with someone else, or may have just logged off the system. Another possibility is that a network "firewall" problem is preventing your PC from receiving data from the remote station. If you suspect this might be the case, see Firewall Issues for more information. You may also be able to find solutions in the Support section of the EchoLink Web site.

Speaking Back and Forth

Once you're connected, you can converse with the remote station as in an ordinary QSO. The space bar works as a locking "push-to-talk" switch. Tap the spacebar once to begin "transmitting", tap it again to stop (don't hold it down). A red TX indicator appears on the screen whenever EchoLink is "transmitting", that is, sending audio over the Internet to the connected station.

If you prefer, you can click the "lightning bolt" icon near the upper left corner of the screen, instead of using the spacebar. You can also change the software so that the spacebar is held down to transmit and released to receive, more like a push-to-talk switch. See Preferences for details.

You can switch to Transmit only when the other station is not already transmitting. When the other station is transmitting, the letters RX appear in the status bar at the bottom right, and the sound-level meter moves from left to right to show incoming sound. If you see that the other station is speaking, but you do not hear audio from your PC speakers, you may need to increase the volume on your sound device. Click the loudspeaker icon near the bottom right-hand corner of your Windows screen to adjust. Also, be sure the volume knob on your speakers is turned up.

While transmitting, speak into the microphone and watch the sound-level meter at the bottom-center of the EchoLink screen. The meter moves farther to the right as the sound gets louder. For best results, adjust your Windows Recording Volume settings so that the meter moves vigorously, but does not reach full-scale except on peaks.

If you see the red TX indicator while transmitting, but see no indication on the sound-level meter while speaking into the microphone, see Sound Card Issues for more information.

Chat

If the other station is also sitting in front of his PC (rather than communicating over a radio link), you can "chat" while connected by typing messages back and forth. Type a brief message in the box near the bottom-right corner of the screen and click Send. The message you sent, and any response you might receive, appear in the Chat window just above it. Note that you can send a Chat message even while the other station is transmitting.

Disconnecting

Once your conversation is finished, click on the red "broken link" icon near the top of the screen to disconnect. You should hear the "Disconnected" signal, and see the message "Not connected" near the bottom of the screen.


Modes

EchoLink operates in one of two modes. The choice of modes is made during Setup, and can be changed at any time via the MyStation tab on the Settings screen.

Single-User Mode

Choose Single-User mode if you expect to use your PC to connect to other EchoLink stations over the Internet, using your PC's microphone and speaker to communicate. This option is appropriate if you do not expect to connect radio equipment to your PC to operate a repeater or link node.

For this mode, no special interface is required to use EchoLink. If you plan to use single-user mode, enter your callsign without any special suffix.

Sysop Mode

Choose Sysop mode if you have connected (or intend to connect) a transceiver to your PC, in order to make your rig accessible to other EchoLink users connecting over the Internet. This mode generally requires a special hardware interface between your PC and your transceiver. For more information, see Interfacing.

If you plan to use Sysop mode, enter your callsign with either a -L or -R suffix. -L signifies a Simplex Link and -R signifies a Repeater. Please use -R if your link will be tuned to the frequency pair of a local repeater (or directly connected to it), even if the callsign is not the same as that of the repeater.

Simplex Link

A simplex link is typically a transceiver tuned to a quiet simplex frequency. Stations in local range can communicate with connected stations over EchoLink, but not with each other unless they are in simplex range of each other as well.

Repeater

A repeater link is typically a transceiver tuned to the frequency pair of a local repeater. This type of link acts as a bridge between the repeater and EchoLink. Any station in range of the repeater can communicate with connected stations over EchoLink, and also with any other station in the repeater's range.

If a PC and Internet connection are available at the repeater site, it is also possible to connect EchoLink directly to the repeater equipment. One advantage of this arrangement is that it may not be necessary to rely on VOX for carrier detection. For more information, see Interfacing.


Interfacing

For use in Sysop mode, your transceiver connects to a hardware interface, which in turn connects to your computer's sound card and serial port.

Audio from the receiver goes to the interface board or your sound card's line-in jack, and audio from the sound card's speaker out (or line out) goes through an attenuator to your transmitter's microphone input. (The attenuator is needed to reduce the sound card output to mic level). If your rig has a line-in connection, sometimes available on a back-panel accessory jack, you can usually connect the sound card output directly to line-in.

Interface Types

Two types of interface boards are supported by EchoLink:

ASCII-controlled: This type of interface, which was specifically designed for EchoLink and iLINK, accepts ASCII commands from the computer over its serial port. These commands key and un-key the transmitter, and request information about incoming DTMF digits. High-quality boards of this type are available in kit and assembled form from WB2REM or VA3TO. Details of the original WB2REM circuit were also described in QST for March, 2002.

Direct-controlled: This type of interface, which is commonly used for PSK31 and other digital modes, keys the transmitter in response to signals over the serial port's RTS or DTR pins. The interface usually includes an attenuator to simplify the connection between the computer's sound card and the transceiver's mic jack. This type of interface may be the best choice if you intend to use digital modes in addition to EchoLink, or if your set-up requires additional isolation between the computer and the transceiver. The interface does not include a DTMF decoder, but EchoLink's internal decoder may be used instead. The RIGblaster from West Mountain Radio is an example of this type.

Carrier Detect

In Sysop mode, EchoLink needs some way of knowing when there is activity on the local receiver. The most common way is to use EchoLink's built-in VOX (voice-operated switch). The VOX monitors incoming audio from the receiver. When properly adjusted, the VOX will trigger only when a station is being heard over the receiver. One advantage of using VOX is that no other connections between the receiver and the PC are required.

VOX is particularly useful when EchoLink is connected to a transceiver which is monitoring the output frequency of a repeater. The VOX will trigger only when a station is actually speaking through the repeater, and will not generally respond to the repeater's "tail", which could be as long as 10 seconds after each transmission.

However, VOX is not completely reliable, since it is unable to detect a dead carrier. Also, it introduces an additional delay of a second or so after each transmission. To help circumvent these issues, EchoLink also supports a direct connection between the receiver and the computer's serial port for positive carrier detect. This type of connection is especially useful for simplex links.

Many transceivers have a back-panel connection (called "busy" or "carrier detect") which tracks the squelch circuit directly. This can be wired to the CD, DSR, or CTS pin of the PC's serial port, and EchoLink can be configured to respond to it instead of using VOX. Typically, this connection must be made through a simple interface, such as a one-transistor circuit. The circuit should drive the CD, DSR, or CTS pin high (+5V or above) when the squelch is open, and low (0V or below) when it is closed. Several versions of the interface products mentioned above also support this feature; check the product literature for details.

To enable this feature, choose Sysop Settings from the Tools menu, select the RX Control tab, and choose Serial CD, Serial CTS, or Serial DSR.


System Requirements

EchoLink is designed to work on personal computers meeting the following minimum requirements:

  • Intel Pentium (or compatible) CPU, 133 MHz or higher. The program has been tested successfully on a 486DX4 at 75 MHz, but a 133-MHz Pentium is strongly recommended as a minimum system.
  • Any of the following Microsoft Windows versions:
    • Windows 95 (Winsock 2 and Internet Explorer 4.0 or above also required)
    • Windows 98
    • Windows 98, Second Edition
    • Windows Me
    • Windows NT 4.0 (Workstation or Server), Service Pack 3 or higher
    • Windows 2000 (Professional, Server, or Advanced Server)
    • Windows XP
  • Color display with resolution of 800x600 or higher. The program will work with 640x480 resolution, but with diminished usability.
  • 8- or 16-bit sound card or built-in sound hardware, with appropriate Windows drivers. Full-duplex capability is required for Sysop mode.
  • Dial-up or dedicated Internet connection, 24 kbps or higher in each direction. 128 kbps upstream (ISDN, cable modem, DSL or better) is recommended for Conferencing capability. For TCP/IP port requirements, see Firewall Issues.
  • Approximately 5 MB free disk space.
  • Sufficient RAM to meet the minimum operating-system requirements, plus approximately 8 MB (the amount of RAM used by EchoLink).
  • Mouse, or other pointing device (recommended).
  • Microphone and speakers, for Single-User mode.
  • ASCII or direct-serial rig interface, for Sysop mode. (For more information, see Interfacing.)
  • Packet terminal-node controller (TNC), for APRS option in Sysop mode. The TNC serial port must run at 9600 bps. Although it is believed to work with most TNCs, only the AEA PK-232 has been tested with EchoLink.


System Setup

Setup

Setup allows you to set basic features of EchoLink. Choose one of the tabs along the top to view the MyStation, Servers, Timing, and Audio options. Each of these tabs is described in detail below.

MyStation Tab

The MyStation Tab configures the system mode, callsign, and other information about your station.

Mode: Choose the appropriate mode for EchoLink. The following modes are available:

  • Single-User (no radio connected to your PC)
  • Sysop (System operator)

For a complete description of each mode, see Modes.

Callsign: Set the callsign exactly as you wish to be registered. If you have already registered, use the same callsign you used previously. The callsign must be at least 3 characters long and may not contain spaces or punctuation, except as part of an -L or -R suffix.

If you have selected Sysop mode, put an -L or -R at the end of your call, to indicate a "repeater" or "link", respectively (for example, K1RFD-L). Use -L if the link is tuned to a simplex frequency or -R if the link is tuned to the frequency pair of a local repeater.

If you have selected Single-User mode, do not use a suffix after your callsign.

Password: If you have registered previously with EchoLink, type your original password here. Otherwise, select a password you can easily remember, and it will be assigned to you as you register. Once established, you cannot select a new password using EchoLink, but if you realize you had entered it incorrectly, you can re-enter it after choosing Change Callsign.

For protection against casual glances, the password is shown only as a series of asterisks. To display the actual password, click the question-mark icon.

Change Callsign: As a precaution against inadvertent changes, you cannot enter a different callsign or password without first choosing Change Callsign. Note that if you are connected to another station, you will be disconnected when you change callsigns.

Name: Enter your first name here. This name will appear on the other station's screen when you establish a contact.

Location: Enter the location of your station, or a description of its function. This will appear in the list of available users. Examples: "Ridgefield, CT", or "Link to W2ABC/R, NYC".

Email Addr: Enter your e-mail address (optional). This information will be sent when a station you contact requests it, or if EchoLink Support needs to contact you.

Servers Tab

The Servers tab configures the connection between EchoLink and one or more Registration Servers. Registration servers maintain information about which stations are registered, and which are currently on the system. Normally, this information does not need to be changed.

Pref 1 through Pref 5: Shows each of the server names (or addresses), in order of preference. If the server at Pref 1 cannot be contacted, the server at Pref 2 will be tried, and so on down to Pref 5.

Reset to Defaults: If you had found it necessary to change any of servers in the list, choose this option to restore the original settings. You will be asked to indicate in which region of the world you are located. This information is used by EchoLink to select the best combination of servers closest to you.

Retry Timeout (sec): Specifies the number of seconds EchoLink will wait while trying to contact each of the servers on the list. If the time expires without success, EchoLink moves to the next server on the list. The default is 10 seconds.

Timing Tab

The Timing tab configures several of EchoLink's time-out timers. Limiting the time allotted to certain features helps assure smooth operation of EchoLink and other stations on the system.

Connect Attempt: Specifies how long EchoLink will try to establish a connection with another station. If there is no response from the other station by this time, EchoLink cancels the request. The default is 30 seconds.

Transmit Time Limit: Specifies how long EchoLink will allow a single transmission (from this computer to another station on the Internet) to be. If the time limit is approaching, a special warning message appears near the bottom of the screen. If the limit is exceeded, EchoLink automatically stops transmitting. The default is 210 seconds. Enter 0 to configure no such time limit.

Receive Time Limit: Specified how long EchoLink will allow another station's transmission (from the Internet to this computer) to be. If the limit is exceeded, EchoLink automatically disconnects the other station. Enter 0 (the default) to configure no such time limit.

Inactivity Timeout: Specifies how long EchoLink will allow a connection to remain connected if neither station is making a transmission. If the time limit is exceeded, EchoLink automatically disconnects. Enter 0 to specify no such time limit, which is the default.

Receive Hang Time: Specifies how long EchoLink remains in "receive" mode after the remote station has stopped sending. This value is specified in milliseconds (1 second = 1000 ms). The default is 1200 ms, or 1.2 seconds.

Audio Tab

The Audio tab lets you specify which of your PC's sound cards to use, and make adjustments to compensate for a slow computer or slow Internet connection.

Sound Device: Specifies the sound card or device EchoLink should use. This is useful when EchoLink is used on a PC with more than one sound card installed. In most cases, the [system default] setting is appropriate. When this choice is selected, EchoLink will use the Record and Playback sound devices that have been set up in your Windows Control Panel.

Open in Full Duplex: Check this box only if you sometimes receive an error message, when you begin transmitting, about EchoLink being unable to open the sound device. When this box is checked, EchoLink will keep the sound device open for Recording at all times while the program is running. Do not check this box if your computer uses a "half duplex" sound card or driver.

Auto Sample Rate Compensation: Check this box to allow EchoLink to compensate automatically for variations among sound cards. Some sound cards may operate as much as 2% away from the desired sample rate, which can cause periodic gaps in received audio, even over a perfect Internet connection. When this feature is enabled, EchoLink detects this problem and inserts or removes packets to compensate for it dynamically. You might perceive this compensation as a slight skip or echo periodically.

Network Buffering: Controls how much data EchoLink will accept from the Internet before it begins to play it. This technique is known as "buffering", and helps ensure that incoming audio does not sound choppy due to variations in the timing of the Internet. Moving the slider to the right (for more buffering) may produce smoother audio on your system if you are connected to the Internet over a slow link, such as a dial-up modem. However, the further the slider is moved to the right, the longer the delay.

PC Buffering: Controls how much data EchoLink will send to your PC's sound card at once. As with Network Buffering, this technique helps ensure smooth-sounding audio. If your PC is an older machine, or is running other tasks at the same time (particularly if there is a lot of hard-disk access), you may get smoother performance by moving the slider to the right.

The illustration above shows the default positions of these two sliders, which is recommended for normal operation.

Total Audio Delay: Displays the estimated delay between the moment the remote station speaks to the moment you hear the sound from your speakers. This value is updated automatically as you move the Network Buffering and PC Buffering sliders, so you can see the total effect.

Reset to Defaults: Returns the Network Buffering and PC Buffering sliders to their default positions.

Note: If you are running Windows 98 or above, you can choose Adjust Volume from the Tools menu to adjust the Playback or Recording audio levels. On all versions of Windows, you can also choose the Sounds icon in your Windows Control Panel, or double-click the loudspeaker icon which appears near the bottom right-hand corner of your screen. For more information, see Sound Card Adjustment .


Preferences

Preferences lets you customize several of EchoLink's features to suit your own taste. Choose one of the tabs along the top to view the Listing, Connections, Security, and Signals options. Each of these tabs is described in detail below.

Listing Tab

Items on the Listing tab control options for the station list area at the center of the EchoLink screen. This portion of the screen shows the callsign and location of each station currently on the system, and whether each is Busy (already in contact with another station) or On (ready for a new contact). For more information about the Station List area, see Station List.

Update station list automatically: If this box is checked, the station list will refresh itself periodically. The box below specifies the number of seconds between each refresh.

Even while connected: If this box is checked, the automatic refresh will occur even while you are in contact with another station. On slower Internet connections, this may interfere with smooth performance of the audio, so you may wish to un-check it. If the box is un-checked, EchoLink will refresh the station list as soon as your contact is complete, unless less than 30 seconds has elapsed since the last refresh.

Show in Index View: This set of check boxes specifies which types of stations you wish to include in the Index View. Un-check any types of stations you do not wish to see. For example, if Stations Free is checked but Stations Busy is not, any station currently in contact with another will be omitted from the list.

Alarmed Only : If this box is checked, only those stations which have been added to your Alarms list will be displayed. For more information, see Tools Menu.

Show Alarms in pop-up window: If this box is checked, the Alarm Log window will automatically open each time an Alarmed station changes status, showing the station's callsign and status. You can also open or close the Alarm Log window from the View menu.

Add New QSOs to Favorites: If this box is checked, EchoLink will automatically add any stations to which you connect (or which connect to you) to your list of Favorites. (Favorites is one of the folders in the Explorer View). This is a convenient way of quickly re-connecting to a station you have spoken with recently.

Restore window size and position on startup: If this box is checked, EchoLink (on startup) will restore the main program window to the size and position at which you left it when it was last shut down. Otherwise, EchoLink always starts the program with the default size and position.

Connections Tab

The Connections tab includes controls for setting up the Conferencing features of EchoLink, and for setting text messages that appear during a contact.

Allow conferences: Check this box if you wish to allow more than one other station to connect to your EchoLink software at a time. In the box beneath, enter the maximum number of stations you wish to allow at once (not including yourself), to a maximum of 60.

The conferencing feature is not recommended if your PC is connected to the Internet over a slow link, such as a dial-up modem.

For more information about conferencing, see Conferencing.

Update Location entry with status: If this box is checked, EchoLink will automatically update your station's entry in the Station List with a notation about the number of stations which have joined the conference. This allows other stations (who have not yet joined) to see the status of your conference. The notation is a number, in parentheses, added to the end of your Location/Description entry. Note that your station will be listed as On (rather than Busy) as long as the maximum number of connected stations has not yet been reached.

Send station list to all stations: If this box is checked, EchoLink will periodically update the text screen of each connected station with a list of all stations in the conference, with an arrow indicating the station that is currently speaking. This takes the place of the Station Information file, if one had been configured. This list will also appear on your own screen, even if this option is not selected.

Location/Description: The text in these two boxes will be displayed next your station's callsign in the Station List that is viewable by all stations on the system. Different text may be specified depending upon whether your station is Free (not in conversation) or Busy. Normally, however, these two items are the same.

Show name of connected conference: When this box is checked, each time you connect to a conference, EchoLink will automatically update your Location listing with the name of the conference, instead of your usual Location/Description. The listing (that other stations see) will become "In Conference XXXXX", where XXXXX is the callsign of the conference server or EchoLink conference you are connected to. (Note that this information will not appear in your own Station List until the next refresh.)

Space Bar TX Control: Choose between two options for how the space bar behaves as a TX control. When Tap On / Tap Off is selected (the default), tapping the spacebar once will switch to TX, and tapping it again will switch out. When Momentary is selected, press and hold the spacebar to TX, and release it to stop, like a conventional push-to-talk switch.

Middle Mouse Button: If you are using a three-button mouse (or a mouse with a clickable wheel), check this option to use the middle mouse button as a TX control as an alternative to the space bar.

Station Information File: EchoLink sends a text message to the other station when you establish a connection, which appears on the other station's screen. By default, this message is "Station XYZ", where XYZ is your callsign. Choose "Edit..." to make changes to this message, or choose "Choose..." to select some other file (besides info.txt) as your Station Information File.

If "Edit..." is grayed out (not available), it may mean that the station information file has been deleted. If this happens, use Windows Notepad to create a new one, then click "Choose..." to locate it so it can be used by EchoLink.

Show Alert when "Doubling": Normally, EchoLink does not allow two stations to transmit at the same time. However, due to Internet latency, it is possible for two stations to double if they begin transmitting at exactly the same moment. Enable this option to display a warning message in the Chat window if you are doubling with another station.

Security Tab

The Security tab controls features which prevent undesired access to your EchoLink system. This is particularly of interest in the Sysop mode, although the Security settings work in either mode.

Allow connections with: These four checkboxes control which types of stations you are willing to connect with. If a station that has been excluded tries to connect, EchoLink will immediately deny access, and make a special notation in the Log file.

Note: Un-checking "Conferences" will block connections only with "conference servers", and conferences running EchoLink version 1.1 or above.

If Conferences is un-checked, EchoLink will not allow connections with conference servers or EchoLink conferences. It is possible, however, to be connected with a station which later becomes a conference (when it connects with a third station). In this case, EchoLink will immediately disconnect, but only if Dynamic conf detect is checked.

Deny these calls: Select this option to set up a "banned list" of stations with which you do not want to connect. Any number of callsigns may be entered. To add a new callsign, choose Add New, then type the callsign (including any -L or -R suffix) into the blank space provided. To remove a callsign, select the callsign and choose Remove. Choose Remove All to clear all callsigns from the list. If the list is empty, no connections will be denied based on callsign.

Accept only these calls: Select this option to set up an "approved list" of stations with which you wish to allow connections exclusively. If this option is selected, no connection will be established with a station whose callsign is not listed. As with the Deny function, all callsigns must be fully spelled out, including any -L or -R prefix.

Note: Instead of (or in addition to) callsigns, you can also enter IP address ranges in this list, in CIDR notation. This is sometimes useful as a short-cut for accepting or denying several different stations who use the same Internet provider.

International Prefixes: Use this feature to control access to your station according to the international prefix of the other station's callsign. For convenience, EchoLink manages these prefixes internally, and displays only the names of each country in these lists. This feature has been provided to help you comply with your country's rules regarding reciprocal control-operator privileges or third-party traffic restrictions.

The countries in the Accept list are countries with which connections will be allowed; those in the Deny list will be denied. To move a country from one list to the other, select the country name (by clicking on it), then choose one of the two arrow buttons in the center.

For example, if the only country in the Deny list is "United States", any station with a U.S. callsign prefix (AAA-ALZ, KAA-KZZ, NAA-NZZ, or WAA-WZZ) will be denied access; all others will be allowed.

Note that the countries listed are those in the ITU Prefix list. There is no recognition of DXCC entities for this feature, and thus no distinction between offshore territories and their host nations. Also, EchoLink has no way to detect when a callsign is being used outside of its country of origin.

Apply Security settings to: Use these two checkboxes to direct EchoLink to apply the above security settings to connections coming in to your station, to connections initiated by your station, to both, or to neither. For example, if both boxes are un-checked, the Security settings have no effect, and all connections are permitted.

Signals Tab

The Signals tab lets you change the sounds (signals) produced by EchoLink when certain events occur. EchoLink includes a set of default sounds, and you can silence them or substitute your own WAV files for each. These settings apply to Single-User mode only.

The signals are as follows:

  • Connected: A station has just connected (either at your own request or theirs).
  • Disconnected: A station has just disconnected.
  • Alarm: A callsign in the Alarm list has just appeared (or changed status) in the Station List.
  • Over: A station with which you are speaking has just finished a transmission (and has turned it over to you).
  • Text Msg: A station to which you are connected has just typed a text message (in the Chat window).

    To preview any of the signals, click on the small loudspeaker button.

    These signals are used only in Single-User mode. In Sysop mode, a separate set of signals is used. For more information, see Signals.


Sysop Settings

Sysop Settings control many of EchoLink's features when it is running in Sysop mode. Choose one of the tabs along the top to view the RX Control, TX Control, DTMF, Identification, Options, or Web options. Each of these tabs is described in detail below.

RX Control Tab

The RX Control tab sets up the interface between your PC and your receiver (or transceiver).

Carrier Detect: EchoLink needs to be able to detect when a signal is being received at the receiver. Normally, a built-in VOX system monitors the received audio and triggers EchoLink when it rises above a certain level. However, for more positive operation on simplex links, it is also possible to connect the carrier-detect signal directly from the receiver to one of the PC's serial ports.

Manual: Select this option if you do not wish to use VOX or the serial port. In order to "transmit" to the other station over the Internet, you must click the Transmit icon or press the space bar. This would normally only be selected for testing.

VOX: Select this option if you do not have a carrier-detect connection between your receiver (or transceiver) and your PC's serial port. This is the default. When VOX is enabled, and a connection is established to a remote station, EchoLink will begin "transmitting" to the remote station whenever the peak audio level rises above the VOX threshold. The VOX threshold is set using a slider that appears just below the audio level indicator at the bottom of the EchoLink screen.

When VOX is enabled, EchoLink monitors your receiver's audio continuously, and the audio level indicator will be active at all times, even when your system is not connected to another station.

VOX Delay: When the VOX has been triggered by a local signal, EchoLink will continue sending audio to the station on the Internet for a short amount of time after the signal stops. VOX Delay controls this time period, in milliseconds. Increase this number if local stations tend to leave silent pauses frequently in their transmissions.

Anti-Thump: When using VOX, to avoid false triggering after going key-up, enter a non-zero value for Anti-Thump. The default is 500 milliseconds. This feature is particularly useful when operating a repeater node, to avoid having EchoLink's VOX trigger on your station's own squelch tail.

Serial CD, Serial CTS, and Serial DSR: Select one of these options if you prefer to use a directly-connected carrier-detect signal rather than VOX. In many cases, this will provide better results than VOX when operating a simplex link, since it allows EchoLink to positively track the incoming station's carrier rather than relying on its audio level. When this option is enabled, select the Serial Port to which the signal is connected from the drop-down list. EchoLink expects the signal to be low (inactive) when the receiver is squelched, and high (asserted) when a signal is being received. If Invert Sense is checked, the opposite is true. For more information about this connection, see Interfacing.

Note that the VOX Delay setting (despite its name) applies to any of these options as well. If you are using direct carrier-detect, consider reducing the VOX Delay to a somewhat smaller amount.

Squelch Crash Anti-Trip: If you are using VOX, check this box to enable a special feature which improves VOX behavior when your link is tuned to a local repeater. When this feature is enabled and properly adjusted, EchoLink's VOX will ignore short noise bursts, such as squelch-tail "crashes" and courtesy tones. This can significantly improve repeater-to-repeater linking.

Set the Duration value to the size of the "window", in milliseconds, inside of which the noise pulse must fit in order for EchoLink's VOX to ignore it. Typical values are 40ms for squelch crashes and 300ms for courtesy tones. Experiment with this setting until the purple SIG annunciator no longer appears when the undesired noise is heard.

When this feature is enabled, all outbound audio is passed through a delay line as part of the detection process, approximately three times the Duration value in length. Note that this feature makes no effort to suppress noise bursts in the audio stream itself; it is only intended to prevent the VOX from tripping.

TX Control Tab

The TX Control tab sets up the interface between your PC and your transmitter (or transceiver).

PTT Activation: These options determine how EchoLink keys the local transmitter when a signal is received from a station on the Internet. If no signal is being received by the local receiver, EchoLink keys the local transmitter when any audio is received from the distant station, then un-keys it when the distant station stops its transmission.

External VOX: Select this option if you do not have any connection between your PC and your transmitter's push-to-talk (PTT) circuit. Although not commonly found on FM rigs, your transmitter may have VOX control, which can be enabled when this option is selected. Audio from the PC triggers the transmitter's internal VOX circuit and keys the transmitter. For most installations, however, a connection to the PTT circuit is preferred.

ASCII Serial: Select this option if you are using a WB2REM/G4CDY or VA3TO interface board, or a homebrew equivalent. This type of interface board is designed to receive ASCII commands from your computer's serial port. From the Serial Port list, select the port to which the board is connected. The serial-port speed is preset to 2400 bps; check the box marked 9600 bps if you are using an older interface which operates at that speed.

RTS and DTR: Select one of these option if you are using a RIGblaster (or equivalent) PC-to-radio interface, or a homebrew equivalent. This type of interface activates the transmitter's PTT line when either the RTS or DTR pin of the serial port is asserted. From the Serial Port list, select the port to which the board is connected.

Key PTT on Local Transmit: Check this box to force the transceiver's PTT to be keyed when you tap the spacebar to begin transmitting, and to un-key when you stop. This feature is useful if you are running a Sysop link, and also wish to be able to join an EchoLink QSO from the local keyboard and microphone. If your sound card is set up as described below, your voice will go out over the Internet as well as the local link when you transmit.

Note: Not all sound cards support the following settings.

Recording Volume Control: Select both Microphone and Line-In, and turn the levels halfway up on both. Mute (or de-select) all others.

Playback Volume Control: Select both Wave Output and Microphone, and turn the levels halfway up on both. (If Microphone does not appear, you may need to select it under Options-->Properties first.)

If necessary, turn down the volume control on the PC speakers to avoid feedback.

Caution: With these settings, your PC microphone is "live" at all times, even when another station is speaking. Mute (or turn down) the Microphone sliders on both the Recording and Playback Volume Controls when you are not participating in a QSO, or turn off or un-plug the microphone.

DTMF Tab

Items on the DTMF tab list each of the functions EchoLink supports by entering DTMF (a.k.a. TouchTone) commands over the local link, or a secondary link receiver. DTMF commands may be used to activate or de-activate the link, or to connect or disconnect a distant station.

DTMF Decoder: Select one of the three options, depending on your equipment set-up.

External: Select this option if you are using a WB2REM or VA3TO interface board, or equivalent. These interfaces have an on-board DTMF decoder which communicates with EchoLink over the serial port.

Internal: Select this option if you are using another type of interface, such as a RIGblaster. When this option is selected, EchoLink itself detects DTMF tones as they are received at the PC's sound input, using digital signal-processing techniques.

Disabled: Select this option if you do not wish to accept DTMF commands. When this option is selected, none of the items in the DTMF Command list will be available.

Min Interdigit Time: Sets the minimum amount of time, in milliseconds, that EchoLink will allow between incoming DTMF digits. Set this to 0 for the default timing. Set this to a higher value (such as 200 or 500 ms) if you find that noisy signals are causing single digits to be interpreted as multiple digits.

Log All Commands: When this box is checked, EchoLink will log all DTMF sequences that are received, even those which do not trigger a function. These entries will appear in the System Log.

Auto Mute: When this box is checked, EchoLink will suppress DTMF signals (received over the local link) from going to the remote station over the Internet. DTMF signals are suppressed completely if the Internal decoder is used; when using the External decoder, the first part of the first digit may "sneak" through.

Disable During PTT: When this box is checked, DTMF signals are not decoded while the local link transmitter is keyed. In some audio configurations, audio from the sound card might be fed into either the internal decoder or an external decoder. This can cause DTMF signals received over the Internet to be interpreted by EchoLink's decoder, which may be undesirable.

Enable Remote Pad: When this box is checked, stations connecting to your link using EchoLink version 1.6 or above can send DTMF commands to (or through) your link radio using the program's built-in DTMF encoder pad. Enable this feature if there are DTMF-controlled repeater or remote-base functions you wish to provide to remote users. The remote user's DTMF pad is not available if either node is participating in a conference.

Note that EchoLink's built-in DTMF decoder itself does not normally respond to signals received over the Internet; however, certain audio configurations may cause this to happen if they allow the sound card's output to be fed into its input, or to an external DTMF decoder.

Also note that this setting controls only the ability of the remote user to use EchoLink's built-in DTMF pad. It does not affect DTMF signals from other sources.

Advanced: When using the Internal DTMF decoder, opens a window which allows the frequency tolerance, "twist", and signal-to-noise ratio to be adjusted. If you have difficulty getting DTMF digits to decode reliably with the Internal decoder, you may find that adjusting these settings, particularly the frequency tolerance, will help.

DTMF Command List: The list shows the name of each DTMF command and the sequence of digits that is required to activate it. To change any of the function sequences, click on the appropriate entry in the Sequence column and edit it. To disable a function, leave the item in the Sequence column blank. Note that some functions require a terminating # digit (pound sign), which is not shown, unless # is the entire command (as is the default for Disconnect).

Reset to Defaults: Returns all DTMF function codes to their default values.

For more information about DTMF commands, see DTMF Functions.

Identification Tab

For general courtesy, and to help comply with your country's Amateur Radio regulations, EchoLink supports automatic identification of your link over the air. A Morse ID or voice ID (either an internally-generated one, or your own custom recording) can be played at the beginning and/or end of a connection, and periodically while the connection is active. EchoLink can also play an ID periodically when no connection is active, if desired.

Voice ID Source: Choose whether to use the internally-generated ID, or a custom WAV file you have created.

Morse: Enter the callsign you wish to use to identify. When the time comes to identify, EchoLink will send the callsign (as entered) in Morse, mixed with any other audio which may be present. The main advantage of a Morse ID is that it tends not to interrupt or delay the progress of a QSO. Click Settings to adjust the Morse speed, pitch, and audio level.

Internal: Enter the callsign you wish to use to identify. When the time comes to identify, EchoLink will "read" the letters and digits as entered. Punctuation is not recognized, except that you can add a -L or -R suffix to generate the word "link" or "repeater" after your callsign, if desired.

External file: If you prefer to create your own voice ID, select this option and choose the "..." button to locate the file. This file must be a WAV file in 8-bit, 8000Hz, PCM Mono format. It is recommended to keep it as brief as possible, since a long announcement may interfere with smooth audio operation while in contact with another station.

Test: Choose this button to have EchoLink key the radio and identify according to the selected options.

Note: It is appropriate for a Sysop station to use its own callsign as the "legal" ID, without any sort of special suffix. In the U.S. (and likely in most other countries), there is no requirement that this ID be the same as that of the repeater to which it is tuned, since it is considered a separate station.

Identify: Select any of these options, in any combination, to specify when EchoLink should identify.

Each time station connects: If this option is selected, your callsign will be announced immediately before the "connected" announcement when a station connects over the Internet. Note that if Auto-Announce is enabled (on the Options tab), you will hear both your own call and the call of the connecting station, as in "K1RFD Link Connected AK8V Repeater". If Morse is selected, the Morse ID is played concurrently with the announcement.

Each time a station disconnects: If this option is selected, your callsign will be announced immediately after the "disconnected" announcement when a station disconnects.

At end of transmission, every n min: Select this option, and enter the number of minutes, to have EchoLink announce your callsign periodically during a lengthy connection. If this option is selected, your callsign will be announced immediately after the remote station has finished speaking, and just before EchoLink un-keys the transmitter, but not more often than the number of minutes specified.

While active, every n min: Select this option, and enter the number of minutes, to have EchoLink announce your callsign periodically while the link is in use. The ID will be played the first time the transmitter is keyed, and then at n-minute intervals thereafter if there has been any transmission since the last ID. If the option Wait for clear frequency is selected, EchoLink will defer the ID if the link receiver is busy when it comes time to ID.

While not active, every n min: Select this option, and enter the number of minutes, to have EchoLink announce your callsign periodically whether or not there has been any activity on the link (and even when no one is connected). The first ID will be played when EchoLink starts up. If the option Wait for clear frequency is selected, EchoLink will defer the ID if the link receiver is busy when it comes time to ID.

Options Tab

The Options tab controls several other options for EchoLink.

Announce connects: Select one of the available options to control how EchoLink signals that a station has connected.

  • None: No Connect announcement is made when a station connects.
  • All users: A Connect announcement is made each time a station connects.
  • First conferencee only: A Connect announcement is made when a station connects, but only if no other users are already connected.

Include callsign: If this box is checked, EchoLink will include the callsign of the newly-connected station in the Connected announcement.

Announce disconnects: Select one of the available options to control how EchoLink signals that a station has disconnected.

  • None: No Disconnect announcement is made when a station disconnects.
  • All users: A Disconnect announcement is made each time a station disconnects.
  • Last conferencee only: A Disconnect announcement is made when a station disconnects, but only if no other users remain connected.

Include callsign: If this box is checked, EchoLink will include the callsign of the newly-disconnected station in the Disconnected announcement.

Announcement muting: Select one of the available options to control how Connect and Disconnect announcements are done if the link frequency is busy.

  • No muting: Connect/Disconnect announcements are played even if the frequency is busy.

· Mute if freq is busy: Connect/Disconnect announcements are not played if the frequency is busy.

· Defer if freq is busy: Connect/Disconnect announcements are not played if the frequency is busy, but are deferred until the frequency becomes clear. The announcement is cancelled if more than 2 minutes has elapsed since the event.

Play welcome message to connecting station: Select this option if you wish to prepare a voice message to be played to stations which connect from the Internet. This message will not be heard over the local link. If this option is selected, choose the "..." to locate the WAV file to be played. The WAV file must be recorded at an 8kHz (8000 Hz) sample rate, using one channel (mono).

It is recommended that you keep such a message very brief (under 5 sec), as a long message may interfere with normal voice operation.

Play courtesy tone: Select this option if you wish EchoLink to play a brief tone at the end of each transmission from the Internet. To use a custom WAV file instead of the default tone, select a custom signal for Courtesy Tone on the Signals tab.

Play activity reminder every n sec: If you are running a Repeater link, select this option to have EchoLink to play a brief tone in between overs on the local link periodically while a station is connected. This tone serves as a reminder to stations engaged in a local QSO that at least one station is (still) connected to the link, and thus to leave a longer pause between overs to allow the remote station to break in. To use a custom WAV file instead of the default tone, select a custom signal for Activity Reminder on the Signals tab.

Max key-down time (sec): Enter the maximum number of seconds you wish to allow the local transmitter to remain keyed in a single transmission. If an incoming signal (from the Internet) exceeds this time, EchoLink will disconnect the station and un-key the local transmitter. To disable this feature, enter 0.

Dead-carrier timeout (sec): Enter the maximum number of seconds you wish to allow a station to transmit to your station (over the Internet) without providing any audio. If an incoming signal exceeds this time, EchoLink will disconnect the station. To disable this feature, enter 0.

Announcement pre-delay (ms): Enter the amount of time, in milliseconds, that EchoLink should pause between keying the PTT and beginning an announcement. The default is 150ms. This can be extended if announcements are being clipped at the beginning when heard.

Signals Tab

The Signals Tab controls announcements which are made on-air when certain system events occur.

For each event in the list, there is the option of using either the Default announcement, or a custom WAV file you provide.

Note that any custom WAV files you provide must be in 8-bit, 8000Hz PCM Mono format. Selection of any other type of WAV file will produce an error message.

To change the setting for a particular event, select the event in the list, and select either Default or Custom. If Custom is selected, choose "Select..." to locate the WAV file you wish to use.

The announcement for any event can be tested (auditioned) by selecting the event and clicking the loudspeaker icon. (This function works only when EchoLink is idle.)

The Station Info announcement is played whenever a station enters the Station Info DTMF sequence, which by default is the star key (*).

The Courtesy Tone sound is played only if "Play courtesy tone" is enabled on the Options tab.

The Activity Reminder sound is played only if "Play activity reminder" is enabled on the Options tab.

Note that the events in list apply only to Sysop mode.

Speech Speed: Select Normal, Slow, or Fast. If Fast is selected, words are overlapped slightly to shorten announcement time; if Slow is selected, extra space is placed between words to improve intelligibility. (These settings do not apply to any Custom WAV files.)

Web Tab

For convenient "wireline" remote control, EchoLink contains a built-in, password-protected Web server which allows the station to be remotely controlled by any Web browser connected to the Internet. The Web server displays an HTML page which displays the current status of the program, and allows the link to be enabled or disabled, and stations to be connected or disconnected. Settings on this tab control whether the Web server is enabled, and how it is configured.

Enable Web remote control: Select this option to enable the built-in Web server. If you select this option, be sure to enter the other information below.

TCP Port: The TCP port number on which the Web server will operate. The default is 8080, to avoid conflict with other Web services which may already be running on port 80. You may need to change this setting if your firewall (or ISP) does not permit inbound traffic on port 8080.

Username, Password: If you would like the Web server to be password-protected (recommended), enter a user name and password. When accessing EchoLink from a remote Web browser, a box will pop up prompting you to enter this information in order to gain access.

Notes:

If you have activated the Web server on port 8080, the URL for accessing it will be http://hostname:8080/ , where "hostname" is the name or IP address of your computer. (If you are using a dial-up or DSL connection to the Internet, keep in mind that your hostname and/or IP address may change each time you reconnect to the Internet.)

If you are operating EchoLink behind a firewall (such as a cable or DSL router), be sure to enable the firewall to forward inbound traffic on port 8080 to the computer running EchoLink.

RF Info Tab

The RF Info tab is used to provide information about your link which may be helpful to nearby stations trying to locate it. EchoLink includes an implementation of the Automatic Voice Reporting System (AVRS), which uses the APRS® network and protocols to disseminate real-time information about VoIP links such as EchoLink nodes. This feature was developed in collaboration with Bob Bruninga, WB4ABR. The program also provides a mechanism for collecting and displaying this information on the Web, as an adjunct to APRS.

If you wish to disseminate basic information about your simplex link, or the repeater to which your repeater link is connected, you can enter it here. By default, the information is transmitted to a central database on the Internet upon startup, and again each time a station connects or disconnects from your link. This information will be displayable and searchable on the EchoLink Web site.

If a packet TNC is connected to your computer, and the APRS option is enabled, the same information will be sent periodically to local users using APRS. Mobile stations equipped with APRS often have alphanumeric displays which will show the location and status of your node, if they in range of your APRS transmission or a nearby digipeater. Future APRS software may include the ability to allow a mobile station to send a general query for local EchoLink activity.

The information fields on the RF Info Tab are defined by the AVRS spec as follows:

  • Lat: Station latitude, in degrees and decimal minutes. For example, 41.1175 degrees is 41 degrees, 07.05 minutes. Be sure to indicate East or West.
  • Lon: Station longitude, in degrees and decimal minutes. Be sure to indicate North or South.
  • Power (W): Transmitter power, as measured at the feedpoint of the antenna.
  • HAAT (ft): Antenna height above average terrain, in feet. Note that this is the height of the antenna above average ground, not the elevation above sea level.
  • Antenna gain (dB): Antenna gain in the favored direction, rounded to the nearest decibel.
  • Directivity: General direction, if any, in which signals are favored by the antenna.
  • Freq (MHz): Frequency on which the link receives. If the link is to a repeater, this is the output frequency of the repeater.
  • PL (if any): CTCSS frequency, if any, required to activate the link (or to activate the repeater to which the link is tuned).

If you do not wish to provide or disseminate any of this information, enter 00 00.00 for Lat and 000 00.00 for Lon.

The following options are also available:

Report Status via APRS: If using a TNC to disseminate status information over APRS, check this box and confirm the settings below.

TNC Interface: Serial port to which the packet TNC is connected. EchoLink will access the TNC through this port at 9600 bps. Be sure this port is not already in use by another application. However, if you are using the program UIView32, you can configure UIView32 to communicate directly with the TNC, and choose the UIView32 option to have EchoLink share the TNC with UIView32. The only limitation is that UIView32 cannot use the TNC in KISS mode.

Auto Initialize: Check this box to have EchoLink set the TNC parameters automatically at startup. If enabled, EchoLink will attempt to put the TNC into command mode, set the UNPROTO path, and then put the TNC into converse mode. Otherwise, EchoLink assumes that these steps have been performed manually before EchoLink is started.

Unproto Path: If Auto Initialize is enabled, choose one of the paths from this list. This affects the way outgoing packets are addressed, and whether they will be accepted and relayed by a digipeater. A common setting is RELAY.

Include name(s) of connection stations in status: If checked, EchoLink will include the callsign of the connected station when it sends a status report over the APRS network. Otherwise, the report only indicates that the link is in use.

Comment: Enter up to 8 characters (letters, numbers, or spaces) which will be appended to the report. This information will appear along with the APRS status report, and is visible on the screen of some mobile stations.

For more information about the AVRS specification, please see http://web.usna.navy.mil/~bruninga/avrs.html

APRS is a registered trademark of Bob Bruninga.


The EchoLink Screen

The diagram below shows the key parts of the EchoLink screen. A description of each part of the screen follows.

Menu Bar and Toolbar: Nearly every EchoLink command is available from the Menu Bar. Many of the commonly-used commands are also available by pressing a key, or by clicking on one of the icons in the Menu Bar. For details, see Menus and Toolbars.

Station List: The Station List shows each station which is currently using EchoLink, including the station's callsign, status, local time, location, and node number. The list refreshes itself periodically while EchoLink is running. Two different "views" of the Station List are available, by selecting the tabs at the bottom: Index View and Explorer View. Both views list the same stations, but in different formats. For details, see Station List .

QSO Status: The QSO Status window shows information about the station that is currently connected. The station callsign, country, and Internet address are shown.

Audio level meter: Incoming and outgoing audio levels are shown on a bar-graph type meter, with zero at the left end and maximum level at the right. A red line shows the peak level. The meter is visible only when EchoLink is connected to another station, or when using Sysop mode.

Status Bar: The status bar at the bottom of screen shows descriptions of menu items, when selected.

Annunciators: Six areas at the bottom of the screen indicate when certain functions are active. From left to right, these annunciators are described below:

DTMF: In Sysop mode, this area displays DTMF digits that have been received.

Connected: Indicates when EchoLink is connected to another station over the Internet.

TX: Indicates when EchoLink is sending audio to a station over the Internet.

RX: Indicates when a station is sending audio to EchoLink over the Internet.

SIG: In Sysop mode, indicates when a signal is being received by the local receiver.

PTT: In Sysop mode, indicates when the local transmitter is transmitting.

: Low-bandwidth indicator. Flashes when the Internet connection is not fast enough to send voice data. (See Low-Bandwidth Indicator).

Text Chat: Comments typed at the keyboard from the other station(s) appear here. To send a comment, type it in the line at the bottom and click Send (or press Enter). Text Chat is only available while connected.

Text Message: A welcome message from the station to which you are connected may appear here. If you are a member of a conference, this window lists the callsign of each station, with a small arrow indicating which station is currently speaking.


Menus and Toolbars

As with other standard Windows applications, EchoLink offers a set of pull-down menus in a bar across the top, and a toolbar with clickable icons as shortcuts to many of the commonly-used menu items.

The Toolbar

The EchoLink toolbar is shown below. For descriptions of each function, see the descriptions of the matching menu items, below.

Menus

As with other Windows applications, EchoLink includes a row of pull-down menus along the Menu Bar. Each menu is described in detail below.

File Menu

Print: Prints the current contents of the Station List.

Print Preview: Displays the current Station List as it would appear when printed.

Print Setup: Allows you to select a printer and set printer options for use with EchoLink.

Exit: Log off the system and exit the program. This is the same as clicking the Close icon (the X in the upper right-hand corner).

Edit Menu

Cut: Copies the current selection to the Clipboard, and deletes it.

Copy: Copies the current selection to the Clipboard.

Paste: Places the contents of the Clipboard into the selected location.

Delete: Deletes the current selection.

Items on the Edit menu apply to the current selection of the EchoLink window which has "focus". This can be the Index View, the Explorer View, the Text Message window, the Text Chat window, or the Text Chat Send box. To change focus to a different window, click on it or press Ctrl-Tab.

Station Menu

Transmit: This item becomes active when you are connected to another station. Check this item to "transmit" (speak to the remote station), and un-check it to stop transmitting. This is the same as clicking the Transmit icon in the toolbar, or tapping the space bar on the keyboard.

Connect: This item becomes active when you select a station's callsign in the Station List area (by clicking on it). Choosing Connect will attempt to establish a connection with that station. This is the same as double-clicking the station's callsign, or selecting the station and pressing Enter on the keyboard.

Connect To: Opens the Connect To dialog, which allows you to enter either the callsign or the node number of a station you wish to connect to. EchoLink will try to connect to that station only if it is currently listed in the Station List.

Connect To Test Server: Connects to a special conference server, called *ECHOTEST*, which simply records and plays back any transmissions you send to it. This is useful for general system testing and setting audio levels.

Reconnect: Re-connect to the station you most recently disconnected from. This is especially useful if your conversation had become disconnected due to a timeout or a network problem.

Disconnect: Disconnect from the current station. If more than one station is connected (in Conference mode), you will be prompted to disconnect a specific station, or to disconnect all stations at once.

Request Version: Sends a special message to the station to whom you are connected to request his software's version number. The response is displayed in the Chat window.

Info: Opens up a dialog which displays basic information about the selected station.

Find: Opens the Find dialog, which prompts you to enter a callsign or location. Find then searches the Station List for a match (or partial match), and shows the result. The Find dialog remains open so you can repeat the search or start a new one.

Refresh List: Updates the Station List immediately.

Tools Menu

Alarms: Opens the Alarms dialog, which lets you manage a list of callsigns for which to set Alarms. If any of these stations comes online (or switches from Free to Busy, or vice versa), EchoLink sounds an alarm and notes the event in bold just below the Station List. Any number of callsigns may be specified. Alarmed stations are also listed in a special folder in Explorer View. You can also set up the Index View to show only stations which are in your Alarms list. For more information, see Preferences.

List Me as Busy: If not currently connected, changes your station's listed status from On to Busy. This is useful to discourage other stations from trying to connect to yours during periods when you would like to run EchoLink but do not wish to accept incoming connections.

Disable Link: In Sysop mode, enables or disables the program. When EchoLink is disabled, your callsign will no longer appear in the Station List, and incoming connections will not be accepted. Choose this item again to re-enable the link.

Listen-Only Mode: In Sysop mode, prevents any transmissions received over the RF link from being sent over the Internet to the remote station. This is useful for monitoring a conference, while assuring that any local RF activity (IDs, squelch tails, etc.) does not interrupt it inadvertently. Select this item again to clear Listen-Only mode and return to normal operation. EchoLink will also return to normal operation automatically when the current connection is dropped.

Setup: Opens the Setup dialog, which provides access to basic configuration of EchoLink. For more information, see Setup.

Preferences: Opens the Preferences dialog, which provides access to user-preference options. For more information, see Preferences.

Sysop Settings: This item is available only if EchoLink is running in Sysop mode. Opens the Sysop dialog, which provides access to advanced features applicable only to Sysop mode. For more information, see Sysop Settings.

Adjust Volume: Opens up the Windows Volume Control panel for adjusting the playback or recording levels. (On Windows 95 and Windows NT 4.0, only the Playback levels are available from this menu item.)

View Menu

Toolbar: When checked, displays the Toolbar near the top of the screen, just below the menu bar. The Toolbar provides quick one-click access to several frequently-used menu items. Un-check this item if you wish to hide the Toolbar and allow EchoLink to occupy less space on the screen.

Status Bar: When checked, displays the Status bar at the bottom of the screen. The Status Bar includes indicators which show the transmit/receive/connect status, and descriptions of the menu and toolbar items. Un-check this item if you wish to hide the status bar.

Large Font: Enables or disables the Large Font option. When this option is enabled, a larger, bolder font is used to display the stations in Index View, for the benefit of the visually impaired. (Explorer View is not affected.) When enabled, all items in Index View will appear as black text. Choose this item again to return to the normal font size. After making a change, the program must be re-started for the new setting to take effect.

Connection Statistics: When checked, displays the Connection Statistics window. This window "floats" on top of the EchoLink screen, and may be moved or closed if desired. The Connection Statistics window shows detailed information about the current connection, if any. For more information, see Connection Statistics.

Station Summary: When checked, displays the Station Summary window. This window "floats" on top of the EchoLink screen, and may be moved or closed if desired. The Station Summary window shows summary totals of the stations in the Station List, grouped by type, status, and country. For more information, see Station Summary.

Alarm Log: When checked, displays the Alarm Log window. This window "floats" on top of the EchoLink screen, and may be moved or closed if desired. The Alarm Log displays the list of Alarmed stations which have changed status since the program was started. If "Show Alarms in pop-up window" is checked (see Preferences), the Alarm Log window opens automatically when an Alarm is sounded. Note that you can close and re-open the Alarm Log window at any time without losing the information it contains.

DTMF Pad: When checked, displays the pop-up DTMF encoder pad. This is a utility that allows DTMF signals to be sent over the Internet to the connected station, which is useful for certain remote-control functions that the other station might be supporting. The DTMF Pad is not available unless EchoLink is connected to a station which has specifically permitted it (see Sysop Settings). It is also not available if either station is participating in a conference. The DTMF Pad closes automatically when the station disconnects.

Server Message: Displays any informational message that might have been returned by the server the last time the Station List was updated. Check this message if you suspect that the Station List area is not working correctly.

System Log: Offers the option to View or Edit the current System log file. Choosing View opens the log using a built-in, read-only viewer. Choosing Edit opens the file using a Windows text editor, such as Notepad. This log file (called QSOLog.txt) maintains detailed information about each station that connects or disconnects, and other system events.

Callsign Log: Offers the option to View or Edit the current Callsign log file. Choosing View opens the log using a built-in, read-only viewer. Choosing Edit opens the file using a Windows text editor, such as Notepad. This log file (called CallLog.txt) logs one line for each station contacted, at the conclusion of the QSO, with the date and time the contact began and ended, and the callsign and name of the other station.

Help Menu

Contents: Opens the main Help menu. (If the Help window does not open, check to be sure your system has the latest Microsoft HTML Help controls installed.)

Search: Opens the Help system, and allows you to search for a particular keyword.

Index: Opens the Help system, and displays the index of Help items.

EchoLink Web Site: Navigates your Web browser to the EchoLink Web site's home page.

Help on the Web: Links to a Web site containing detailed and up-to-date Help topics. Choosing this item will open your default Web browser and navigate to the EchoLink Help page.

Software Updates: Opens a window which gives you the opportunity to automatically check the EchoLink Web site to see if a new version of the software is available.

About EchoLink: Displays EchoLink's current version number and copyright information.


Station List

The Station List area of the screen shows each station that is currently logged on to the system, and each station's current status.

Stations are frequently joining or leaving the system, or changing their status from "On" (available for a QSO) to "Busy" (already in a QSO). However, the Station List updates itself periodically, so it always shows fresh information.

Two different "views" of the Station List are available: Index View and Explorer View. You can switch from one view to the other at any time by selecting one of the tabs at the bottom of the Station List, or pressing Alt-PageDown.

Although both views display the same list of logged-on stations, Index View shows the stations as a single list, whereas Explorer View organizes the stations into various folders and sub-folders, similar to Microsoft Windows Explorer. Many operators will prefer Explorer View, particularly when many stations are logged on at once. Each view is described in detail below.

Index View

In Index View, all logged-on stations are displayed as a scrollable list.

The heading above the list shows the number of stations currently logged on, and the percentage of stations whose status is "busy".

Columns in the list show the station's type and callsign, status, local time, location, and node number. These columns are described in detail below.

Station: Displays the callsign and an icon indicating the station type. Station types are repeaters, links, users, and conference servers. Note that repeater links have a -R suffix after the callsign, and simplex links have a -L suffix. Each station type is also shown in a different color; stations which are on your Alarms list are displayed in red. Use the keyboard or mouse to scroll or select a station in the list. To connect to a station, double-click it, or select it and press Enter.

Status: Indicates whether the station is available for a QSO. "On" indicates that the station is free, or ready. "Busy" indicates that the station is already in a QSO or is otherwise not accepting connections.

Time: Shows the local time, as reported by each station. This is helpful for understanding time differences among stations around the world. Since this is the time to which the station's PC clock is set, you may notice some errors due to some PC clocks being incorrectly set. (A common error is to confuse AM with PM).

Location: Shows the station's location or description, as entered by the operator. If this information was entered by the operator in uppercase, it is displayed here in mixed case to save space. Operators sometimes use this field to show comments about their current status. A number in parentheses usually indicates the number of other stations which are currently connected.

Node: Shows the node number of the station. Node numbers are uniquely assigned. Knowing a station's node number is useful if you wish to connect to it using DTMF commands over a simplex link or repeater.

The list can be sorted several different ways. By default, the list is sorted by the Station column (station type and callsign). All repeater links are shown first, followed by simplex links, then users, then conference servers. Within each station type, stations are listed alphabetically by callsign.

To sort on a different column, click the column heading at the top. If you click the same heading a second time, the list will be sorted in reverse order.

Stations which have just logged on since the last update are highlighted in yellow. Stations whose status has changed (from free to busy, or vice versa) since the last update are shown with their status column highlighted in yellow. Stations which have been added to your Alarms list are shown in red.

EchoLink provides several options for filtering items which are shown in the Index View. These options are available on the Listing tab of the Preferences screen. For details, see Listing Tab.

Explorer View

In Explorer View, all logged-on stations are displayed within each of several groups of folders and sub-folders. This presentation is familiar to users of Microsoft Windows Explorer, although the information displayed is stations, rather than files.

Many of the folders contain sub-folders. To see the list of sub-folders, click the small plus sign to the left of the folder list on the left-hand side. If you double-click on a folder, its contents are displayed on the right-hand side. A folder can contain stations, sub-folders, or a combination of both. The number in parentheses after a folder name indicates the total number of stations it contains, including those in any sub-folders.

Within each folder, stations are listed alphabetically. An icon indicates whether the station is a repeater link, simplex link, conference server, or user. Busy stations are shown in blue. Moving the mouse over a station's name displays additional information about the station.

To locate and connect to a station, open the appropriate folder until the station is displayed in the list on the right-hand side, then double-click the station's callsign.

Explorer View also includes special folders for Alarms, Favorites, and New stations, containing information not available in Index View. Each type of folder is described below.

Locations

This folder contains logged-on stations organized by continent and country. Because of the large number of stations in the United States, U.S. stations are further broken down by call area.

Note: Location information is based solely on ITU callsign prefix, not on other categorizations such as DXCC entities. For this reason, stations in offshore territories appear in same the folder as stations in their recognized nation, even if they may be located in a different part of the world.

Node Types

This folder contains sub-folders for each of the four node types. Each station in the Locations folder is also listed here.

New

This folder contains stations which have logged on to EchoLink since the last time the list was "refreshed". Normally, the list refreshes itself every 5 minutes. You can also refresh the list by pressing F5, or clicking the Refresh icon in the toolbar. Each time the list is refreshed, the contents of the New folder are cleared. Stations in the New folder also appear in the Locations and Node Types folders.

Alarms

This folder contains stations which have been added to your Alarms list. These stations may or not be currently logged on. If a station is logged off, its callsign appears in gray text, rather than black or blue, and its icon is dimmed. An alarm will sound when any of the stations in this list log on, log off, or change status.

Favorites

This folder contains stations which you have placed into it for future reference. This makes it easy to locate certain "favorite" stations, even when many stations are logged on. You can create your own sub-folders in Favorites to organize stations into groups. You can also have each new QSO added to Favorites automatically; see Preferences.

Adding Stations to Alarms or Favorites

You can add a station to Alarms or Favorites in several ways:

  • Right-click the station's callsign (in any other folder), and choose Add to Alarms or Add to Favorites. If the station is already in either of these folders, the corresponding choice will be dimmed.
  • Use the mouse to "drag" a station (or several stations) from a list on the right-hand side into the Favorites or Alarms folders on the left-hand side, then release the mouse button to "drop" it. You can also drag and drop an entire folder, to add many stations at once. Dropping a folder to Alarms causes all of its stations to be added to Alarms, whereas dropping a folder to Favorites copies the folder(s) themselves to Favorites.
  • Use Copy and Paste. These choices are available either from the Edit menu, or by right-clicking the mouse.
  • Open the Alarms or Favorites folder, right-click anywhere in the right-hand side, choose New, and type the callsign of a station. This is a way to add a station which may not be currently logged on.
  • Choose Alarms from the Tools menu to add a station manually to the Alarms list.

Deleting Stations from Alarms or Favorites

To delete a station from Alarms or Favorites, select the station(s) and press the Delete key, or right-click and choose Delete.

Saved Favorites

Your Favorites are stored in a text file called "favorite.txt" in the same directory as EchoLink.exe. You may be able to edit this file directly if you wish.

Note: Outside of the U.S., "Favorites" appears as "Favourites".


Connection Statistics Window

The Connection Statistics window displays detailed information about the currently-connected station (or stations). This display is useful in Conference mode, when more than one station is connected, or to help diagnose network-related problems. To display the Connection Statistics window, choose the Connection Statistics item from the View menu. The window "floats" over the EchoLink screen, and can be moved as desired by dragging the title bar.

The upper half of the window shows each station that is currently connected (by callsign and name), along with its hostname or IP address. If one of the connected stations is currently transmitting, its callsign is highlighted in yellow. Right-click on any station's callsign to display a menu of the following options:

Disconnect: Disconnects this station. This is particularly useful when a conference is in progress, and you wish to disconnect only one station from the conference.

Station Info: Display's the station's Information file, which is normally shown on the main EchoLink screen, except when a conference is in progress. This is a convenient way to read a station's Information file while a conference is in progress.

The lower half of the window displays counts of "packets" that have been sent or received during the current connection (or since the first connection, if more than one station is connected). The Compensation item displays the number of packets added or dropped to compensate for mismatched sample rates, if the Auto Sample Rate Compensation option is enabled. Choose Clear to reset these counters to zero.

Three "progress bars" show the size of each of several buffers used by EchoLink.

The Send bar shows the number of packets waiting in queue to be sent over the Internet; on a good Internet connection, this bar should be near zero. If the bar grows to the right, it may indicate a temporary bandwidth problem with the Internet connection.

The Net bar shows the number of packets received from the Internet waiting to be processed by EchoLink. Normally, while receiving a signal from another station, this bar should be approximately half scale.

The Audio bar shows the number of sound buffers waiting to be processed by the sound card.


Station Summary Window

The Station Summary window displays statistics about stations in the Station List, organized by type, status, and country of origin. To display the Station Summary window, choose the Station Summary item from the View menu. The window "floats" over the EchoLink screen, and can be moved as desired by dragging the title bar.

The displayed statistics are updated each time the Station List is refreshed. The numbers are the count of stations in each category. Counts which have increased since the last refresh are displayed in green; counts which have decreased are displayed in red; and counts which have stayed the same are displayed in black.

The lower half of the window shows the count of stations by country, in descending order, according to the station's callsign prefix. The names of countries and their derivation from callsign prefixes is based on the ITU Prefix list, so it does not necessarily reflect DXCC entities.


DTMF Functions

In Sysop mode, EchoLink can be configured to accept commands through the local receiver using DTMF tones (TouchTones). These commands are used to enable or disable the link, or to connect or disconnect a station on the Internet.

Each command consists of a sequence of digits (or the special keys *, #, and A through D). Although a set of default sequences is assigned to each function, any sequence can be customized using the DTMF tab of the Sysop Settings page.

The table below lists each of the DTMF commands.

Note: If you have upgraded from an earlier version of EchoLink, you may need to choose "Reset to Defaults" to make all of the following commands available.

Command | Description | Default
Connect | Connects to a station on the Internet, based on its node number. | num
Connect by Call | Connects to a station on the Internet, based on its callsign. | C+call+#
Random Node | Selects an available node (of any type) at random, and tries to connect to it. | 00
Random Link | Selects an available link or repeater (-L or -R) at random, and tries to connect to it. | 01
Random Conf | Selects a conference server at random, and tries to connect to it. | 02
Random User | Selects an available single-user station at random, and tries to connect to it. | 03
Disconnect | Disconnects the station that is currently connected. | #
Reconnect | Re-connects to the station that most recently disconnected. | 09
Status | Announces the callsign of each station currently connected. | 08
Link Down | Disables EchoLink (no connections can be established). | (none)
Link Up | Enables EchoLink. | (none)
Play Info | Plays a brief ID message. | *
Query by Call | Looks up a station by its callsign, and reads back its node number and status. | 07+call+#
Query by Node | Looks up a station by its node number, and reads back its callsign and status. | 06+num
Listen-Only On | Inhibits transmission from RF to the Internet. | 0511
Listen-Only Off | Restores normal transmission from RF to the Internet. | 0510

Connect

The default for the Connect command is to simply enter the 4- 5-, or 6-digit node number to which you wish to connect. To prevent interference with other DTMF functions, however, you may wish to configure a special prefix, such as A or 99.

Link Up and Link Down

No defaults are provided for these functions. To enable these functions, enter a DTMF sequence for each one, using the DTMF tab of the Sysop Settings page.

Entering Node Numbers

To enter a node number (for the Connect or Query by Node commands), enter the 4-, 5-, or 6-digit node number. If the specified node is not among the stations currently logged on, EchoLink will say "NOT FOUND".

Entering Callsigns

To enter a callsign (for the Connect by Call or Query by Call commands), press two digits for each letter and number in the callsign. The first digit is the key on which the letter appears (using 1 for Q and Z), and the second digit is 1, 2, or 3, to indicate which letter is being entered. To enter a digit, press the digit followed by 0. When finished, end with the pound key (#).

For example, the letter "K" is entered as "52", the letter "Q" is entered as "11", and the digit "7" is entered as "70".

Callsigns need not be entered in full. If a partial callsign is entered, EchoLink will find the first match among the stations currently logged on. If no match is found among the stations currently logged on, EchoLink will say "NOT FOUND".

Examples

(These examples assume that the default DTMF codes are configured.)

  • To connect to node number 9999:

Enter: 9 9 9 9

EchoLink responds with:

"CONNECTING TO CONFERENCE E-C-H-O-T-E-S-T"

followed by

"CONNECTED"

because 9999 is the node number of conference server "*ECHOTEST*".

  • To get the status of K1RFD:

Enter: 0 7 5 2 1 0 7 2 3 3 3 1 #

EchoLink responds with:

"K-1-R-F-D 1-3-6-4-4 BUSY"

because 13644 is the node number of station K1RFD, and K1RFD is currently busy.

  • To connect to a random link or repeater:

Enter: 0 1

EchoLink responds with:

"CONNECTING TO K-1-O-F REPEATER"

followed by

"CONNECTED"

because K1OF-R was selected at random.


Signals

EchoLink can play sounds, called "signals", when certain events occur. Two different sets of signals are used. One set is used when EchoLink is in single-user mode; the other set is used when EchoLink is in Sysop mode.

Single-User Mode

In single-user mode, the default signals are sounds which are played through the PC speakers. Using the Signals tab of the Preferences page, you can disable any of these signals, or substitute another WAV file for each. The following signals are defined:

Connected: A station has just connected over the Internet, either by your own request or theirs.

Disconnected: The station to which you had just been connected has disconnected, either at their request or yours, or because of a timeout.

Alarm: A callsign in the Alarms list has just logged on or off, or changed status.

Over: The other station has finished a transmission, and is turning it over to you.

Text Msg: The other station has typed a text "chat" message, which has just appeared on your screen.

Sysop Mode

In Sysop mode, signals are pre-recorded words or phrases which are played over the air using the local transmitter. Certain signals include a node number or callsign, which is assembled by "reading" a string of digits or letters. The following signals are defined:

CONNECTED: A station has just connected over the Internet, either by your own request or theirs. If the "Announce stations on connect" option has been enabled, this will be followed by the station's callsign.

DISCONNECTED : The station to which you had just been connected has disconnected, either at their request or yours. Check the System Log for more information.

NOT FOUND: The requested station is not currently logged on. This signal is sent in response to any of several DTMF functions which search for a particular callsign or node number.

BUSY: The requested station is listed as busy. This signal is included in the response to either a connect request or a status query.

ENABLED: The Link Up command has been received and EchoLink is now available for connections.

DISABLED: The Link Down command has been received and EchoLink is no longer available for connections.

ALREADY IN CONFERENCE: EchoLink is already participating in a conference, and thus cannot join another one. For details, see the section Conferencing.

NOT AVAILABLE: A connection could not be established to the requested station, either because the station is busy, or is denying access based on its inbound security settings, or your own outbound security settings.

TIMEOUT: The station was disconnect because of a timeout, or an attempt to connect to another station failed because the station did not respond. Check the System Log to determine the exact cause.


Conferencing

Conferencing With EchoLink

Conferencing refers to EchoLink's ability to be connected to more than one station at a time over the Internet. Each such station becomes a participant in a conference . It is conventional for participants in a conference to take turns transmitting, in roundtable fashion. When connected in this fashion, each member of the conference can hear each other member's comments. Text Chat messages are also sent to all single-user participants.

EchoLink supports conferencing as an option, in either the Single-User or Sysop modes. Conferencing is disabled by default. To enable conferencing, change the settings on the Connections tab of the Preferences window. For more information, see Preferences.

Conferencing is not recommended if you are connected to the Internet over a slow connection, such as a dial-up modem. Even with high-speed connections, be judicious about setting the connection limit, since each additional station in the conference requires about 16 kbps of upstream bandwidth. For example, a typical cable-modem connection provides only 128kbps upstream, which would support a maximum of about 8 stations in a conference. For more information, see Low-Bandwidth Indicator .

Note that when conferencing is enabled, you can assemble a conference by establishing connections to other stations yourself, or by waiting for them to connect to you. An interesting feature in Sysop mode is the ability to assemble a conference by entering commands into EchoLink's built-in Web server from some remote location on the Internet.

Please use discretion when assembling a conference. It is considered poor operating practice to "conference-in" a station to an existing conversation, unless you are certain the new station will welcome it.

Multi-Conferencing

Multi-conferencing is the connection of one conference to another. EchoLink includes safeguards to prevent multi-conferencing, since there is currently no reliable way to detect and prevent conference loops , in which more than one path is established between conferencees. Conference loops can cause substantial disruption of communication for all participants.

With these safeguards, EchoLink enforces the following rules:

  1. If a station is already connected, EchoLink will not connect to a conference server.
  2. If a station is already connected, EchoLink will not connect to an EchoLink station to which a station is already connected (if both stations are using version 1.1 or above).
  3. If already connected to a conference server, no additional stations may connect.
  4. If EchoLink is already connected to an EchoLink conference which is running ver 1.1. or above, no additional stations may connect.


Low-Bandwidth Indicator

EchoLink includes a feature which displays a warning indicator whenever the available Internet bandwidth is not sufficient to handle the rate of data being sent by EchoLink. Typically, this can occur when Conferencing is enabled, and the Internet connection does not have enough capacity to support the number of conferencees who are connected. This can easily occur over a dial-up connection if two or more stations have joined the conference. (For this reason, enabling Conferencing is not recommended for EchoLink stations on a dial-up connection.)

Remember that for each station joining a conference, the station hosting the conference needs an additional 15 kbps of upstream Internet bandwidth. If two stations have joined the conference, each transmission from the host station must be sent to both conferencees, requiring a minimum of 30 kbps. Despite its name, a perfect "56k" dial-up connection provides only 33.6 kbps upstream, which is just sufficient to handle this situation. However, if the connection is less than ideal, the speed can drop to 28.8 kbps or less, and thus be insufficient. (Note that a modem's connection speed can change during the course of a single connection, if noise on the line forces the modem to re-train.)

This can also occur over a normal, one-to-one connection if an Internet connection slower than 28.8 kbps is in use, for example, if a 14.4 kbps modem is being used to connect to the Internet.

A "low bandwidth indicator" will appear in the bottom right-hand corner of the screen when insufficient Internet bandwidth is available. The indicator is a yellow triangle with an exclamation mark: . When this happens, the program will continue to work normally, but stations at the other end will probably hear drop-outs or gaps in the audio. The indicator will disappear once sufficient bandwidth is restored.


Firewall Issues

Firewall and Router Issues

Background

A firewall is a system that isolates your computer from the Internet, usually for security reasons. A firewall helps prevent unauthorized access to your computer from other people on the Internet. A firewall can be implemented using software on your computer (such as ZoneAlarm), or with an outboard hardware device such as a router.

A router (as used in the home) is a device which allows more than one computer to communicate over a single connection, such as a connection to the Internet. Routers have become more common in homes as home networks and high-speed connections, such as cable or DSL, have become more popular. Typically, cable companies and DSL service providers allocate only one Internet address to an entire household, in which there may be several computers. The router must decide which computer should receive item of data which comes in from the Internet.

Using Firewalls and Routers with EchoLink

Firewalls are usually configured to allow your computer to make requests anywhere on the Internet, and receive replies. Some programs, however, must be able to accept unsolicited data from the Internet. EchoLink is an example of such a program. When you are connected to another station using EchoLink, you and the other station take turns sending data to each other, so each station's PC must be able to receive data without having requested it.

The protocol for this type of exchange is called UDP, or User Datagram Protocol. If you are using a firewall or router to connect to the Internet, you will probably need to configure it to accept UDP information on specific ports. (A port is part of an address.)

EchoLink uses UDP ports 5198 and 5199. To use EchoLink, you must configure your router to direct all incoming data on these two ports to the PC on which EchoLink is installed. Typically, there are two ways to configure this:

  • Forwarding. Most routers allow data on specific ports to be "forwarded" to specific computers. If you expect to use EchoLink on only one PC, configure your router to forward UDP ports 5198 and 5199 to that computer.
  • Port triggering. Some routers implement a "smart" forwarding scheme which tries to direct data to the computer which is most likely to use it, based on requests each computer has recently made. If you expect to use EchoLink any of several different computers at different times, you may wish to try this option. Configure the router to direct ports 5198 and 5199 to any computer which makes outbound requests over UDP ports 5198 or 5199, or TCP port 5200.

EchoLink also uses TCP port 5200. Most routers will handle these requests correctly, since EchoLink always initiates them from the local computer. If you are using firewall software, however, you may need to "open up" outbound and inbound traffic on this port.

Routers and firewalls are manufactured by many different companies, and each has its own peculiar set of instructions for configuration. For details on how to configure your router or firewall, consult the documentation that came with your device, or the company's Web site.

For more information, including step-by-step solutions for several popular routers and firewalls, see the Firewall Solutions page on the EchoLink Web site.


Sound Card Adjustment

Modern PCs are usually equipped with a "sound card", which allows sounds to be captured and reproduced by the computer. EchoLink relies on the sound card (or built-in equivalent) to exchange audio with other stations on the Internet.

The most common configuration for EchoLink is to connect a pair of amplified speakers to your computer's "speaker out" connector, and to plug a microphone into the "mic in" jack. Many other multimedia programs work with this same configuration.

Playback Volume

The Windows operating system includes a utility program for adjusting the levels, or volume, of sound going in and out of the sound card. You can access this utility, called Windows Volume Control, by double-clicking on the small loudspeaker icon near the bottom right-hand corner of your screen. You will see a set of "sliders" similar to the diagram below.

Be sure the "Volume Control" and "Wave" sliders are about halfway up, and the "Mute" box is not checked for either one. You may wish to check Mute for all other sliders, or slide them down to the bottom, to prevent interference.

Your system may use names other than Volume Control and Wave, such as Master Volume and Wave Out.

Recording Volume

A separate set of controls sets the levels, or volume, for the microphone. To access these controls, follow the steps above for Playback Volume, and then do the following:

  1. From the Options menu, choose Properties.
  2. In the section marked "Adjust volume for", choose "Recording".
  3. Choose OK.

You will see a different set of "sliders", similar to the diagram below.

The Recording Volume controls vary considerably from computer to computer. In the example shown above, there are separate controls for Line and Microphone. If you have a microphone connected to the computer's mic jack, slide the Microphone slider halfway up and check the Select box for it. Your computer may also have a "master" recording slider; if so, move it halfway up. Move all other sliders to the bottom to prevent interference.

If you are using EchoLink in Sysop mode, you will probably have your receiver's audio connected to the computer's Line In connector, rather than Mic. If so, raise the Line slider, and lower (or de-select) the Microphone slider.

Monitoring Your Levels

While you are speaking with another station using EchoLink, watch the Audio Level Meter near the bottom of the screen as you speak. The meter should jump at least halfway on voice peaks, but should not go full-scale. Adjust the Microphone slider (described above), if necessary.


Support

Support and Troubleshooting

EchoLink is offered free of charge to the Amateur Radio community, and is supported by a network of volunteers.

Experience has shown that the majority of questions about EchoLink are similar, and can be answered by reading the Help documentation or one of the Frequently-Asked Questions sections. Most likely, you'll find that your particular question or problem has already been answered or addressed.

For a complete set of FAQs and other support information, please visit the EchoLink Web site:

http://www.echolink.org/el/support.htm


Credits

Technical Credits

Efforts by the following people and organizations are gratefully acknowledged:

  • Graeme Barnes, M0CSH, the developer of iLINK. Graeme has also contributed his time and talents to help ensure the ongoing success of EchoLink.
  • Audio compression functions developed by Jutta Degener and Carsten Bormann, Technische Universitaet Berlin.
  • Grid control developed by Chris Maunder and Joe Willcoxson.
  • DSP functions provided by Intel.